Skip to main content
`Ctrl`+`K`

# PetscSubcommSetOptionsPrefix

Sets the prefix used for searching for options in the options database for this object

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommSetOptionsPrefix(PetscSubcomm psubcomm, const char pre[])

Logically Collective

## Input Parameters

- psubcomm - `PetscSubcomm` context

- pre - the prefix to prepend all `PetscSubcomm` item names with.

## See Also

`PetscSubcomm`, `PetscSubcommCreate()`

## Level

intermediate

## Location

src/sys/objects/subcomm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages